# Copyright (c) Facebook, Inc. and its affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

"""
Model interpretability is often very specific to the model and thus TorchX
provides examples of how to create model interpretability apps and components.

We recommend creating a custom application and component built using
`Captum <https://captum.ai/>`_ .
Captum provides a number of out of the box analyzers and renderers to understand
your model.

See the
:ref:`examples_apps/lightning_classy_vision/interpret:Model Interpretability App Example`
and the corresponding
:ref:`Interpret component definition<examples_apps/lightning_classy_vision/component:Interpreting the Model>`
for an example of how to use Captum with TorchX.
"""
